Bug 384381 - Cursor over X to close note should be an arrow
Summary: Cursor over X to close note should be an arrow
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: 1.2.0
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords: junior-jobs, usability
Depends on:
Blocks:
 
Reported: 2017-09-05 12:29 UTC by Simone Gaiarin
Modified: 2018-01-31 18:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simone Gaiarin 2017-09-05 12:29:54 UTC
When hovering the mouse over the X symbol to close a note the cursor should morph to the standard arrow, instead of keeping the current shape (hand, selection cursor) based on the tool selected.
Comment 1 Nate Graham 2017-09-05 19:20:52 UTC
Confirmed.
Comment 2 Veluri Mithun 2017-09-11 17:57:24 UTC
Can you pl. just comment the path of the files which might be causing the issue.
Comment 3 Christoph Feck 2017-09-28 19:15:46 UTC
This is probably in tree/ui/annotwindow.cpp. You could try adding a setCursor() call in the CloseButton constructor.
Comment 4 Nate Graham 2018-01-31 18:06:52 UTC
Git commit de56b9c9c16544465c54ca2f90709d64481de903 by Nathaniel Graham, on behalf of Dileep Sankhla.
Committed on 31/01/2018 at 17:58.
Pushed by ngraham into branch 'master'.

Use correct arrow cursor for Annotations' close buttons

Summary:
When hovering the mouse over the X symbol to close a note the cursor remains the same of the current shape (hand, selection cursor) based on the tool selected.
This patch morphe the cursor to the standard arrow over the X symbol to close a note by adding setCursor() call in the CloseButton constructor

Test Plan:
1.  Open okular and select Tools -> Review or press F6 to create a new pop-up note
2. Hover the mouse cursor over the close button (X) of the pop-up note window
3. You will see the standard arrow instead of the current tool based cursor.

Screenshot below (the tooltip saying "Close this note" was not captured by Spectacle application)
{F5685539}

Reviewers: #okular, ngraham

Reviewed By: ngraham

Subscribers: ngraham, #okular

Tags: #okular

Differential Revision: https://phabricator.kde.org/D10209

M  +1    -0    ui/annotwindow.cpp

https://commits.kde.org/okular/de56b9c9c16544465c54ca2f90709d64481de903
Comment 5 Nate Graham 2018-01-31 18:11:09 UTC
Git commit 1e80804c1b603bc7849dadc74661f6447b1571d7 by Nathaniel Graham, on behalf of Dileep Sankhla.
Committed on 31/01/2018 at 18:02.
Pushed by ngraham into branch 'Applications/17.12'.

Use correct arrow cursor for Annotations' close buttons

Summary:
When hovering the mouse over the X symbol to close a note the cursor remains the same of the current shape (hand, selection cursor) based on the tool selected.
This patch morphe the cursor to the standard arrow over the X symbol to close a note by adding setCursor() call in the CloseButton constructor

Test Plan:
1.  Open okular and select Tools -> Review or press F6 to create a new pop-up note
2. Hover the mouse cursor over the close button (X) of the pop-up note window
3. You will see the standard arrow instead of the current tool based cursor.

Screenshot below (the tooltip saying "Close this note" was not captured by Spectacle application)
{F5685539}

Reviewers: #okular, ngraham

Reviewed By: ngraham

Subscribers: ngraham, #okular

Tags: #okular

Differential Revision: https://phabricator.kde.org/D10209

M  +1    -0    ui/annotwindow.cpp

https://commits.kde.org/okular/1e80804c1b603bc7849dadc74661f6447b1571d7